Subject: Re: 4.0_BETA move-if-change Permission denied
To: None <>
From: Matthias Scheler <>
List: current-users
Date: 09/07/2006 11:59:33
In article <>,
	Kirk Russell <> writes:
> It appears that I cannot use the NetBSD 4.0_BETA source archives to
> build.  I get an "Permission denied" error:
> nbgmake[1]: execvp: /bstg/netbsd-4/usr/src/tools/gcc/../../gnu/dist/gcc4/libcpp/../move-if-change: Permission denied
> I noticed that the perms in the archives are different than in cvs.
> I assume this is the root cause -- What am I missing?

This is a bug in "src/distrib/sets/makesrctars" which by purpose removes
the executable bit from all files in the source tarballs. Could you
please submit a PR in category toolchain for this?

	Thanks in advance

Matthias Scheler